#
# spec file for package gonvert
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gonvert
Version:        0.2.38
Release:        7.2
License:        GPL-2.0+
Summary:        Conversion utility that allows conversion between many units
Url:            http://www.unihedron.com/projects/gonvert/index.php
Group:          Productivity/Scientific/Math
Source:         http://www.unihedron.com/projects/gonvert/downloads/%{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE gonvert-desktopfile.patch -- Fix Name, GenericName, Icon and Categories
Patch0:         gonvert.desktop.patch
%if 0%{?suse_version}
BuildRequires:  fdupes
BuildRequires:  update-desktop-files
%endif
Requires:       python-gtk
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
gonvert is a conversion utility that allows conversion between many
units, like CGS, Ancient, and Imperial, with many categories, such as
length, mass, and numbers. All converted values are shown at once as
you type. It is easy to add and change your own units.

%prep
%setup -q

# SED-FIX-OPENSUSE -- Fix paths
sed -i -e 's|/usr/local|/usr|;
           s|$(datadir)/doc|$(datadir)/doc/packages|
           s|$(datadir)/gnome/apps/Utilities|$(datadir)/applications|' Makefile

%patch0

# Remove not needed files
rm -f doc/INSTALL

%build
make

%install
%make_install

%if 0%{?suse_version}
    %suse_update_desktop_file %{name}
    %fdupes -s %{buildroot}%{_prefix}
%endif

%files
%defattr(-,root,root,0755)
%{_bindir}/gonvert
%doc %{_datadir}/doc/packages/%{name}
%dir %{_datadir}/appdata
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}-icon_alternative.png
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Jul  7 2015 nemysis@gmx.ch
- Change URL
* Tue Jun  2 2015 nemysis@gmx.ch
- Revert %%dir %%{_datadir}/appdata
* Mon Jun  1 2015 nemysis@gmx.ch
- Update to 0.2.38, announce message:
  - Add in/min and others to speed category
- Change Summary
- Change Source0 to use Web URL
- Remove patch gonvert-0.2.20-Makefile.patch, use instead sed
- Remove patch gonvert-0.2.20-desktopfile.patch, use instead
  gonvert.desktop.patch
- Use check for openSUSE %%if 0%%{?suse_version}
- Remove not needed doc/INSTALL
- Use %%{name} instead of gonvert
- Use %%{name} instead of *.png
* Sun Aug 17 2014 kkirill@opensuse.org
- Update to version 0.2.37
  + added twip unit to length category
- Changes from 0.2.36
  + modifed appdata location to help with making RPM
- Changes from 0.2.35
  + added /usr/share/appdata to showcase in the GNOME
    and KDE Software Centers.
- Changes from 0.2.34
  + fixed Flow liquid imperial units.
* Sun Sep  1 2013 kkirill@opensuse.org
- Update to version 0.2.33
  + base number 40,50,60 description fixed to show proper last
    digit description.
- Changes from 0.2.32
  + save and restore of selected units working now.
  + added "X" to clear the unit line, allowing two selected units.
- Changes from 0.2.31
  + find next works again.
- Changes from 0.2.30
  + lowered minimum height to work on Pandora device.
  + more complete shoe size listings from Wikipedia.
  + added Paris point to Length category.
- Changes from 0.2.27
  + added all SI volumes (to dry volumes).
- Changes from 0.2.26
  + removed non-functioning shortlist feature.
  + modified glade requirements to glade 2.16 to prevent introduction warnings
  + modified find to instant-find
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Mon Sep 19 2011 kirill.kirillov@gmail.com
- Update to version 0.2.25
  + Corrected and added to Thermal conductance area and linear
    categories
* Sun Sep 19 2010 vuntz@opensuse.org
- Update to version 0.2.24:
  + Corrected bug where text might be entered into float causing
    ValueError
- Changes from version 0.2.23:
  + Added UK currency category and other UK measurements
- Changes from version 0.2.22:
  + Restore previously used window size
- Changes from version 0.2.21:
  + Category column widened. Maximize on start.
- Remove wrong libglade2 BuildRequires: python-gtk comes with the
  glade bindings.
- Use %%makeinstall.
- Do not set again the comment of the .desktop file.
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Fri Jul 31 2009 mseben@suse.cz
- update to 2.20, no changelog available
* Wed Nov  7 2007 lmichnovic@suse.cz
- removed suffix for icon file in desktop file (*desktopfile.patch)
* Mon Jun 11 2007 lmichnovic@suse.cz
- update to version 0.2.19
  * viscosity cP conversion correction
  * addition of magnitudes per square arcsecond to Luminance category
- fixed executable permission of doc files
* Wed Sep 27 2006 lmichnovic@suse.cz
- update to version 0.2.17
  * updated baud definitions
  * fixed homepath location because new debian version changed
* Tue Jun 13 2006 lmichnovic@suse.cz
- update to verison 0.2.16
  - fixed icon locating for display in about
  - added alternate icon gonvert-icon_alernative.png
* Thu Feb 16 2006 stbinner@suse.de
- fix %%suse_update_desktop_file call
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan  2 2006 lmichnovic@suse.cz
- update to version 0.2.15
- updated desktop file
* Fri May 20 2005 mcihar@suse.cz
- update to 0.2.12
* Tue Dec 21 2004 mcihar@suse.cz
- update to 0.2.11
* Wed Aug  4 2004 mcihar@suse.cz
- updated to 0.2.05
* Sun Feb 29 2004 adrian@suse.de
- fix multiple menu entries
* Fri Feb 27 2004 hmacht@suse.de
- use norootforbuild
* Tue Feb 24 2004 mcihar@suse.cz
- update to 0.1.10
* Tue Jan 27 2004 mcihar@suse.cz
- update to 0.1.8
* Mon Oct 13 2003 mcihar@suse.cz
- initial packaging
